net.fortuna.ical4j.filter

## Class DateInRangeRule

- java.lang.Object
- - net.fortuna.ical4j.filter.AbstractDateRule
  - - net.fortuna.ical4j.filter.DateInRangeRule

All Implemented Interfaces:
  Rule

    public class DateInRangeRule
    extends AbstractDateRule

Author:
  fortuna

### Constructor Summary

Constructors
Constructor and Description
`DateInRangeRule(DateRange range, int inclusiveMask)`

### Method Summary

Methods
`protected boolean` `match(Date date)`

### Methods inherited from class net.fortuna.ical4j.filter.AbstractDateRule

`match`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateInRangeRule

    public DateInRangeRule(DateRange range,
                   int inclusiveMask)

Parameters:
  `range` - the range to check
  `inclusiveMask` - indicates inclusiveness of start and end of the range

### Method Detail

#### match

    protected boolean match(Date date)

Specified by:
  `match` in class `AbstractDateRule`
Parameters:
  `date` - the date to check
Returns:
  true if the date matches rule requirements, otherwise false